> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1scimusers 1



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.User.Scim//swagger/v1/swagger.json get /api/v1/scim/users/{id}
openapi: 3.0.0
info:
  title: NDS.Services.User.Scim
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.User.Scim/
security: []
paths:
  /api/v1/scim/users/{id}:
    get:
      tags:
        - User
      operationId: User_GetUser
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
components:
  schemas:
    User:
      allOf:
        - $ref: '#/components/schemas/Resource'
        - type: object
          additionalProperties: false
          properties:
            userName:
              type: string
              nullable: true
            name:
              nullable: true
              oneOf:
                - $ref: '#/components/schemas/Name'
            displayName:
              type: string
              nullable: true
            preferredLanguage:
              type: string
              nullable: true
            locale:
              type: string
              nullable: true
            timezone:
              type: string
              nullable: true
            active:
              type: boolean
            emails:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/MultiValue'
            nfc:
              type: string
              nullable: true
            roles:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Role'
    Resource:
      type: object
      additionalProperties: false
      required:
        - schemas
      properties:
        schemas:
          type: array
          items:
            type: string
        id:
          type: string
          nullable: true
        externalId:
          type: string
          nullable: true
        applicationExternalId:
          type: string
          nullable: true
        meta:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Meta'
        status:
          type: string
          nullable: true
    Name:
      type: object
      additionalProperties: false
      properties:
        formatted:
          type: string
          nullable: true
        familyName:
          type: string
          nullable: true
        givenName:
          type: string
          nullable: true
        middleName:
          type: string
          nullable: true
        honorificPrefix:
          type: string
          nullable: true
        honorificSuffix:
          type: string
          nullable: true
    MultiValue:
      type: object
      additionalProperties: false
      properties:
        $ref: 3e086c81-5594-4b9f-ad77-e99a2ae986e9
        value:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        display:
          type: string
          nullable: true
        primary:
          type: boolean
          nullable: true
    Role:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        DisplayName:
          type: string
          nullable: true
    Meta:
      type: object
      additionalProperties: false
      properties:
        resourceType:
          type: string
          nullable: true
        created:
          type: string
          format: date-time
        lastModified:
          type: string
          format: date-time
        location:
          type: string
          nullable: true
        version:
          type: string
          nullable: true

````